Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Update Ruby using RVM
20-11-2013, 12:30 AM,
Post: #1
Thumbs Up  Update Ruby using RVM
baru2 ni aku ada masalah dengan whatweb dalam backtrack(apa nk heran backtrack pon based on ubuntu gak),puncanya sebab versi ruby dh x sesuai dengan whatweb so terjumpa lah solusi dia.

Install GCC dan keperluan lain:
Code:
$ sudo apt-get install build-essential
$ sudo apt-get install curl
Install Development libraries:
Code:
$ sudo apt-get install zlib1g-dev libreadline-dev libssl-dev libxml2-dev
Masa untuk install RVM:
Code:
$ bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer)
Edit bashrc:
Code:
gedit ~/.bashrc dan tambah benda ni kat line bawah kemudian save.
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"  # This loads RVM
Buka terminal baru dan jalankan step yang terakhir
Code:
$ source ~/.bashrc
$ rvm requirements
$ rvm install 1.9.3
$ rvm use 1.9.3p448
check ruby version skrg
Code:
$ ruby --version
boss kalau silap salah tolong betolkan
If you control the code,
You can ConTROLL the world!
Reply
20-11-2013, 08:04 PM,
Post: #2
RE: Update Ruby using RVM
(20-11-2013, 12:30 AM)zaidroid Wrote: baru2 ni aku ada masalah dengan whatweb dalam backtrack(apa nk heran backtrack pon based on ubuntu gak),puncanya sebab versi ruby dh x sesuai dengan whatweb so terjumpa lah solusi dia.

Install GCC dan keperluan lain:
Code:
$ sudo apt-get install build-essential
$ sudo apt-get install curl
Install Development libraries:
Code:
$ sudo apt-get install zlib1g-dev libreadline-dev libssl-dev libxml2-dev
Masa untuk install RVM:
Code:
$ bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer)
Edit bashrc:
Code:
gedit ~/.bashrc dan tambah benda ni kat line bawah kemudian save.
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"  # This loads RVM
Buka terminal baru dan jalankan step yang terakhir
Code:
$ source ~/.bashrc
$ rvm requirements
$ rvm install 1.9.3
$ rvm use 1.9.3p448
check ruby version skrg
Code:
$ ruby --version
boss kalau silap salah tolong betolkan

good share..
maaf saja tanya.. but rasanya la kalau upgrade versi rvm untuk next time, possibly perlu run balik proses2 last

Code:
$ source ~/.bashrc
$ rvm requirements
$ rvm install 1.9.3
$ rvm use 1.9.3p448

ni kan? ( ikut latest versioning ) just bertanya Smile
# uname -a
NetBSD netbsd.trunasuci.***.org 5.1.2_PATCH NetBSD 5.1.2_PATCH (GENERIC) #0: Mon Jun 18 15:33:11 MYT 2012
root@:/usr/obj/sys/arch/i386/compile/GENERIC i386

OpenBSD openbsd.localdomain 5.1 GENERIC#0 i386

FreeBSD trunasuci.***.org 9.0-RELEASE-p3 FreeBSD 9.0-RELEASE-p3 #0: Tue Jun 12 01:47:53 UTC 2012

PCBSD 7.1.1 8
Reply
20-11-2013, 09:39 PM,
Post: #3
RE: Update Ruby using RVM
(20-11-2013, 08:04 PM)TRUNASUCI Wrote:
(20-11-2013, 12:30 AM)zaidroid Wrote: baru2 ni aku ada masalah dengan whatweb dalam backtrack(apa nk heran backtrack pon based on ubuntu gak),puncanya sebab versi ruby dh x sesuai dengan whatweb so terjumpa lah solusi dia.

Install GCC dan keperluan lain:
Code:
$ sudo apt-get install build-essential
$ sudo apt-get install curl
Install Development libraries:
Code:
$ sudo apt-get install zlib1g-dev libreadline-dev libssl-dev libxml2-dev
Masa untuk install RVM:
Code:
$ bash -s stable < <(curl -s https://raw.github.com/wayneeseguin/rvm/master/binscripts/rvm-installer)
Edit bashrc:
Code:
gedit ~/.bashrc dan tambah benda ni kat line bawah kemudian save.
[[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"  # This loads RVM
Buka terminal baru dan jalankan step yang terakhir
Code:
$ source ~/.bashrc
$ rvm requirements
$ rvm install 1.9.3
$ rvm use 1.9.3p448
check ruby version skrg
Code:
$ ruby --version
boss kalau silap salah tolong betolkan

good share..
maaf saja tanya.. but rasanya la kalau upgrade versi rvm untuk next time, possibly perlu run balik proses2 last

Code:
$ source ~/.bashrc
$ rvm requirements
$ rvm install 1.9.3
$ rvm use 1.9.3p448

ni kan? ( ikut latest versioning ) just bertanya Smile

ya,sebab dalam backtrack versi ruby dipakai adalah versi lama mungkin ada beberapa masalah dalam penggunaan whatweb,metasploit dan lain2 aplikasi yg berkait dengan ruby
If you control the code,
You can ConTROLL the world!
Reply
21-11-2013, 09:15 PM,
Post: #4
RE: Update Ruby using RVM
(20-11-2013, 09:39 PM)zaidroid Wrote: ya,sebab dalam backtrack versi ruby dipakai adalah versi lama mungkin ada beberapa masalah dalam penggunaan whatweb,metasploit dan lain2 aplikasi yg berkait dengan ruby


yups rasanya isu ni sama mcm isu Perl upgrade dari default version ( dalam isu ni guna ports ) dalam FreeBSD.

1- kena define pd sistem guna perl yg mana, kalau xsilap edit kat /etc/make.conf
2- all apps yg dah install dan depend pd perl, previously to old perl normally aku reinstall balik compile all semua semula via ports..

setel..
# uname -a
NetBSD netbsd.trunasuci.***.org 5.1.2_PATCH NetBSD 5.1.2_PATCH (GENERIC) #0: Mon Jun 18 15:33:11 MYT 2012
root@:/usr/obj/sys/arch/i386/compile/GENERIC i386

OpenBSD openbsd.localdomain 5.1 GENERIC#0 i386

FreeBSD trunasuci.***.org 9.0-RELEASE-p3 FreeBSD 9.0-RELEASE-p3 #0: Tue Jun 12 01:47:53 UTC 2012

PCBSD 7.1.1 8
Reply


Possibly Related Threads...
Thread Author Replies Views Last Post
  backtrack x boleh update kmicaz 5 932 13-07-2013, 01:49 PM
Last Post: najashark
  [help] mslh update dlm ubuntu dan transparent penyapulidi 8 1,066 20-02-2011, 09:22 AM
Last Post: caenz
  [ help ]masalah installation dan update penyapulidi 5 842 24-01-2011, 09:55 PM
Last Post: penyapulidi

Forum Jump: